geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From CG <learn....@gmail.com>
Subject Re: How to upgrade OpenJPA in Geronimo
Date Tue, 31 Mar 2009 07:04:43 GMT
Great news ! :)

Hopefully the openJPA that upgraded to v1.2.1 will solve my problem
that cannot use @PreUpdate and @PrePersist for audit purpose .


On Tue, Mar 31, 2009 at 1:13 AM, Jason Warner <jaw981@gmail.com> wrote:
> 2.1.4 just passed a vote for release.  You should see a download pop up on
> the downloads page sometime within the next day or two.
>
> On Mon, Mar 30, 2009 at 1:08 PM, CG <learn.koa@gmail.com> wrote:
>>
>> Hi , any update of the status of 2.1.4 ? I came across geronimo
>> roadmap wiki page, mention that 2.1.4 is scheduled to be released in
>> Q1 2009 ... , jz would like to know the status ....
>>  thx
>>
>>  Cheers
>>  CG
>>
>> On Sun, Feb 22, 2009 at 1:12 PM, chi runhua <chirunhua@gmail.com> wrote:
>> > Hi GC,
>> > Please look into this page for the latest status of Geronimo v2.1.4.
>> > http://cwiki.apache.org/GMOxPMGT/geronimo-214-release-status.html
>> >
>> > Jeff
>> >
>> > On Fri, Feb 20, 2009 at 10:00 AM, CG <learn.koa@gmail.com> wrote:
>> >>
>> >> thanks for your reply ..., seems like I am going to stay with v1.0.3 ..
>> >>
>> >> any roadmap/schedule when the Geronimo v2.1.4 (which include updated
>> >> openJPA) will be released ? because the 2.1.3 is abt 5 months old ...
>> >>
>> >> thanks..
>> >>
>> >> CG
>> >>
>> >> On Fri, Feb 20, 2009 at 1:45 AM, David Jencks <david_jencks@yahoo.com>
>> >> wrote:
>> >> >
>> >> > On Feb 19, 2009, at 9:00 AM, CG wrote:
>> >> >
>> >> >> Hi , the version of OpenJPA that come with Geronimo 2.1.3 is ,
1.0.3
>> >> >> .
>> >> >> Since OpenJPA already release version 1.1 , 1.2 , I would like
to
>> >> >> manually upgrade openJPA in Geronimo to solve some issue cause
by
>> >> >> OpenJPA bugs.
>> >> >>
>> >> >> However, I have no idea how to do that. How should I do , to be
able
>> >> >> to upgrade the openJPA in Geronimo with version 1.2 ?
>> >> >>
>> >> >> Can I just put the openjpa-1.2.0.jar in
>> >> >> GERONIMO_HOME/repository/org/apache/openjpa/openjpa/1.2.0/  ?
>> >> >
>> >> > You'll also need to tell geronimo to use the newer version by
>> >> > including
>> >> > a
>> >> > couple lines in var/config/artifact-aliases.properties.  See
>> >> > http://cwiki.apache.org/GMOxDOC22/aliasing-modules.html
>> >> >
>> >> > We've had some mildly obscure problems with more recent openJPA
>> >> > releases
>> >> > so
>> >> > there's a chance you will be jumping from the frying pan into the
>> >> > fire.
>> >> >  We
>> >> > think we've ironed all these out in current openjpa code (1.2
>> >> > branch?)
>> >> > and
>> >> > expect that 2.1.4 will include an up to date fully-working version.
>> >> >
>> >> > thanks
>> >> > david jencks
>> >> >
>> >> >>
>> >> >>
>> >> >> Thanks.
>> >> >>
>> >> >> CG
>> >> >
>> >> >
>> >
>> >
>
>
>
> --
> ~Jason Warner
>

Mime
View raw message